Better ListView Class Reference |

# DictionaryBase(TKey,TValue) Class

Base class for dictionaries.

For a list of all members of this type, see DictionaryBase(TKey,TValue) Members .

System.Object
DictionaryBase(TKey,TValue)
ReadOnlyDictionary(TKey,TValue)
ReadWriteDictionary(TKey,TValue)

[Serializable]
[DefaultMember(MemberName=""Item"")]
public abstract class DictionaryBase<TKey, TValue> : IDictionary<TKey, TValue>, ICollection<T>, IEnumerable<T>, IEnumerable, ICollection, ISerializable, IXmlSerializable

#### Generic template parameters

TKey
  type of item key
TValue
  type of item value

#### Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

#### Requirements

Namespace: ComponentOwl.BetterListView

Assembly: BetterListView (in BetterListView.dll)

#### See Also

DictionaryBase(TKey,TValue) Members | ComponentOwl.BetterListView Namespace